package com.ssj.service.weixin.library.dto;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.List;

/**
 * @description 机构自批改老师
 * @author yrf
 * @time 2019/12/11 17:06
 */
public class SelfCorrectTeacherInfoDTO implements Serializable {

    private static final long serialVersionUID = -689010593371870811L;

    /**
     * 老师姓名
     */
    private String name;

    /**
     * 头像
     */
    private String photo;

    /**
     * 机构id
     */
    @JSONField(serialize = false)
    private String libId;

    /**
     * 机构名称
     */
    private String orgName;

    /**
     * 手机号
     */
    private String telephone;

    /**
     * 负责的学生列表
     */
    private List<StudentDTO> childList;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public List<StudentDTO> getChildList() {
        return childList;
    }

    public void setChildList(List<StudentDTO> childList) {
        this.childList = childList;
    }

    @Override
    public String toString() {
        return "SelfCorrectTeacherInfoDTO{" +
                "name='" + name + '\'' +
                ", photo='" + photo + '\'' +
                ", orgName='" + orgName + '\'' +
                ", telephone='" + telephone + '\'' +
                ", childList=" + childList +
                '}';
    }
}
